Bug 728290 - kernel: qlge 0000:1a:00.1: ql_process_mac_rx_page: Receive error, flags2 = 0x5d
Summary: kernel: qlge 0000:1a:00.1: ql_process_mac_rx_page: Receive error, flags2 = 0x5d
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Chad Dupuis (Cavium)
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-04 15:30 UTC by Peter Pruchnerovic
Modified: 2018-12-03 17:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-09 12:03:32 UTC


Attachments (Terms of Use)

Description Peter Pruchnerovic 2011-08-04 15:30:42 UTC
Hello,

Description of problem:
I am getting a lot of messages like those every few seconds, sometimes few minutes:
qlge 0000:1a:00.1: ql_process_mac_rx_page: Receive error, flags2 = 0x5d
qlge 0000:1a:00.1: ql_process_mac_rx_page: Receive error, flags2 = 0x5d
qlge 0000:1a:00.1: ql_process_mac_rx_page: Receive error, flags2 = 0x5d
qlge 0000:1a:00.1: ql_process_mac_rx_skb: Receive error, flags2 = 0x45
qlge 0000:1a:00.1: ql_process_mac_rx_skb: Receive error, flags2 = 0x5d
qlge 0000:1a:00.1: ql_process_mac_rx_page: Receive error, flags2 = 0x5d
qlge 0000:1a:00.1: ql_process_mac_rx_page: Receive error, flags2 = 0x5d
qlge 0000:1a:00.1: ql_process_mac_rx_skb: Receive error, flags2 = 0x5d
qlge 0000:1a:00.1: ql_process_mac_rx_page: Receive error, flags2 = 0x5d
qlge 0000:1a:00.1: ql_process_mac_rx_page: Receive error, flags2 = 0x5d

We checked logs on switches, but they are clean, no problems reported.

Version-Release number of selected component (if applicable):
Linux 2.6.18-238.9.1.el5 #1 SMP Fri Mar 18 12:42:39 EDT 2011 x86_64 GNU/Linux
modinfo qlge
filename:       /lib/modules/2.6.18-238.9.1.el5/kernel/drivers/net/qlge/qlge.ko
version:        1.00.00.25
license:        GPL
description:    QLogic 10 Gigabit PCI-E Ethernet Driver

qlogic 8142:
  * BIOS      version 2.13
  * UEFI      version 3.15
  * Fcode PPC version 3.05
  * Firmware  version 5.01.03
  * MPI       version 1.35.06

How reproducible:
They always appear even even after reboot.

Expected results:
No errors like this one present.

Additional info:
more /proc/net/bonding/bond1
Ethernet Channel Bonding Driver: v3.4.0-1 (October 7, 2008)

Bonding Mode: fault-tolerance (active-backup)
Primary Slave: None
Currently Active Slave: eth4
MII Status: up
MII Polling Interval (ms): 0
Up Delay (ms): 0
Down Delay (ms): 0
ARP Polling Interval (ms): 100
ARP IP target/s (n.n.n.n form): 10.1.33.80

Slave Interface: eth4
MII Status: up
Speed: 10000 Mbps
Duplex: full
Link Failure Count: 1
Permanent HW addr: 00:c0:dd:18:65:a8

Slave Interface: eth5
MII Status: up
Speed: 10000 Mbps
Duplex: full
Link Failure Count: 1
Permanent HW addr: 00:c0:dd:18:65:aa

Is there a way to find out if this is software or hardware problem?

Best regards,
Peter Pruchnerovic

Comment 1 Jitendra Kalsaria 2011-08-05 21:17:08 UTC
qlge 0000:1a:00.1: ql_process_mac_rx_page: Receive error, flags2 = 0x5d

The above error means, packet was received with CRC error which also has TCP and Promiscuous bit set.

Please check cables, SFP's and switch ports.

Thanks,
    Jitendra

Comment 2 Peter Pruchnerovic 2011-08-09 06:35:05 UTC
Thanks for your help.

Replacing SFP cable helped, logs are clear now.

Ticket can be closed.


Note You need to log in before you can comment on or make changes to this bug.